corda / net.corda.node.services.statemachine / FlowSession

# FlowSession

`class FlowSession`

### Constructors

<init> | `FlowSession(flow: FlowLogic<*>, ourSessionId: Long, initiatingParty: Party?, state: FlowSessionState)`

### Properties

fiber | `val fiber: FlowStateMachineImpl<*>`
flow | `val flow: FlowLogic<*>`
initiatingParty | `val initiatingParty: Party?`
ourSessionId | `val ourSessionId: Long`
receivedMessages | `val receivedMessages: ConcurrentLinkedQueue<ReceivedSessionMessage<*>>`
state | `var state: FlowSessionState`

### Functions

toString | `fun toString(): String`